> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sontairo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Cron Job

> Update a cron job's configuration or toggle it on/off.



## OpenAPI

````yaml PATCH /api/cron-jobs/{id}
openapi: 3.0.3
info:
  title: Sontairo API
  description: REST API for the Sontairo AI agent orchestration platform
  version: 1.0.0
servers:
  - url: https://www.sontairo.com
security:
  - bearerAuth: []
  - cookieAuth: []
paths:
  /api/cron-jobs/{id}:
    patch:
      tags:
        - Cron Jobs
      summary: Update cron job
      description: Update a cron job's configuration or toggle it on/off.
      operationId: updateCronJob
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: workspaceId
          in: query
          required: true
          schema:
            type: string
        - name: projectId
          in: query
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 100
                description:
                  type: string
                  nullable: true
                  maxLength: 500
                agentId:
                  type: string
                  nullable: true
                schedule:
                  type: string
                  minLength: 1
                  maxLength: 100
                prompt:
                  type: string
                  minLength: 1
                  maxLength: 10000
                timezone:
                  type: string
                  maxLength: 50
                isActive:
                  type: boolean
      responses:
        '200':
          description: Cron job updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CronJob'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    CronJob:
      type: object
      properties:
        id:
          type: string
        workspaceId:
          type: string
        projectId:
          type: string
          nullable: true
        name:
          type: string
        description:
          type: string
          nullable: true
        schedule:
          type: string
        prompt:
          type: string
        timezone:
          type: string
        isActive:
          type: boolean
        agentId:
          type: string
          nullable: true
        agent:
          type: object
          nullable: true
          properties:
            id:
              type: string
            name:
              type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        error:
          type: string
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Session token issued by the desktop/native auth exchange, sent as
        Authorization: Bearer <token>.
    cookieAuth:
      type: apiKey
      in: cookie
      name: session
      description: Browser session cookie set by the web sign-in flow.

````